package thyyxxk.webserver.aop.aspect;

import lombok.extern.slf4j.Slf4j;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Aspect
@Component
@Slf4j
public class SqlStringIsBlakToNullAop {

    @Pointcut("@annotation(thyyxxk.webserver.aop.interfaces.SqlStringIsBlakToNull)")
    public void pointcut() {
    }

    @Before("pointcut()")
    public void before(JoinPoint joinPoint) {
        log.info("参数:{}", joinPoint);
        Object[] args = joinPoint.getArgs();
        log.info("参数:{}", args);
    }

}
